Subject: Re: bug#58334: 29.0.50; ASAN heap use after free in gui_produce_glyphs

From: Po Lu <[email-masked]>
Date: Fri, 07 Oct 2022 19:19:53 +0800

Gerd Möllmann <[email-masked]> writes:

> So, do you agree that block_input wouldn't solve the problem?  Or does
> it?

It should, because it prevents the read_socket_hook from being called.
However, you must keep in mind that anything that can call unblock_input
can also run redisplay, as unblock_input reads pending async input if
the input is completely unblocked.